%global major_version %%(cut -d "." -f 1-2 <<<%{version})

Name:           gnome-tweak-tool
Version:        3.8.1
Release:        7%{?dist}
Summary:        A tool to customize advanced GNOME 3 options

License:        GPLv3
URL:            http://live.gnome.org/GnomeTweakTool
Source0:        http://ftp.gnome.org/pub/gnome/sources/%{name}/%{major_version}/gnome-tweak-tool-%{version}.tar.xz

Patch0:         0001-gtweak-tweakmodel.py-Fix-search.patch
Patch1:         0001-tweak_typing.py-Make-sure-we-display-all-the-text-in.patch

Patch2:         0001-tweak_shell_extensions.py-Offer-to-restart-the-shell.patch
Patch3:         0002-tweak_shell_extensions.py-Disable-widget-if-extensio.patch
Patch4:         0003-Add-a-way-to-reload-tweaks-when-there-are-changes-af.patch
Patch5:         0004-Add-tweaks-for-shell-extensions-installed-after-star.patch
Patch6:         0005-tweak_shell_extensions.py-Load-extension-after-insta.patch
Patch7:         0006-Prevent-SESSION_MODE-extensions-from-being-enabled-d.patch
Patch8:         0001-tweakmodel.py-Match-substrings-in-search-too.patch
Patch9:         0002-GSettingsFontButtonTweak-filter-out-fonts-that-gtk-3.patch
Patch10:        0003-tweak_font.py-Remove-document-font-tweak-since-nothi.patch
Patch11:        0004-tweak_typing.py-Blacklist-grp-and-grp_led-XKB-option.patch
Patch12:        0005-tweakview.py-Remove-and-re-add-all-tweaks-on-tweak-r.patch
Patch13:        0001-Add-a-tweak-to-ignore-systemd-s-default-lid-switch-a.patch
Patch14:        0001-Fix-autogen-and-configure-with-latest-gnome-common.patch

BuildArch:      noarch
BuildRequires:  GConf2
BuildRequires:  intltool
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  desktop-file-utils
Requires:       gnome-shell
Requires:       nautilus
Requires:       pygobject3

%description
GNOME Tweak Tool is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch gtk/icon/cursor themes
* Switch window manager themes
* Change:
        * The user-interface and titlebar fonts
        * Icons in menus and buttons
        * Behavior on laptop lid close
        * Shell font size
        * File manager desktop icons
        * Titlebar click action
        * Shell clock to show date
        * Font hinting and antialiasing 

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

autoreconf -i -f

%build
PYTHON=%{__python}
export PYTHON
%configure
make %{?_smp_mflags}


%install
PYTHON=%{__python}
export PYTHON
make install DESTDIR=$RPM_BUILD_ROOT

sed -i '1s|^#!/usr/bin/env python|#!%{__python}|' $RPM_BUILD_ROOT%{_bindir}/%{name}

# Leave the desktop file validation, but don't return an error value ("Phanteon"
# value not supported yet in "OnlyShowIn" key by validator)
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop || true

%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor/ &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
  /bin/touch --no-create %{_datadir}/icons/hicolor/ &>/dev/null
  /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor/ &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{python_sitelib}/gtweak/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_libexecdir}/%{name}-lid-inhibitor


%changelog
* Mon Feb  3 2014 Rui Matos <rmatos@redhat.com> - 3.8.1-7
- Resolves: rhbz#1001511 - Power Management: suspend when laptop lid close should be easily configurable
- Add an upstream patch to fix intltool and gettext brokenness

* Mon Jan  6 2014 Rui Matos <rmatos@redhat.com> - 3.8.1-6
- Resolves: rhbz#1036226 - Search part of words does not work in gnome-tweak-tool
- Resolves: rhbz#1037620 - Default/Document font set to italic shows normal font
- Resolves: rhbz#1038003 - Some shortcuts for changing layout does not work
- Resolves: rhbz#1038116 - "Use keyboard LED to show alternative layout" option does not light up selected LED
- Resolves: rhbz#1037831 - Extension installed via website is shown in gnome-tweak-tool in wrong order in the real time

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 3.8.1-5
- Mass rebuild 2013-12-27

* Fri Nov  8 2013 Rui Matos <rmatos@redhat.com> - 3.8.1-4
- Resolves: rhbz#1017208 - Restart button in gnome-tweak-tool does not restart gnome-shell
- Resolves: rhbz#1016144 - User should not change state of Classic Mode extensions in gnome-tweak-tool

* Tue Nov  5 2013 Rui Matos <rmatos@redhat.com> - 3.8.1-3
- Resolves: rhbz#998547 - Descriptions in drop-down lists don't fit in window
- Resolves: rhbz#1014796 - Search does not work in gnome-tweak-tool

* Fri Nov  1 2013 Rui Matos <rmatos@redhat.com>
- Resolves: rhbz#987021 - avoid shebang with /usr/bin/env

* Sat Sep 14 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.8.1-2
- Drop gnome-tweak-tool-3.8.0-shell_themes.patch patch, since theme search is
  fixed with GS user theme extension 3.8.4

* Tue Jul 23 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.8.1-1
- Update to 3.8.1
- Drop gnome-tweak-tool-3.8.0-pref.js.patch patch (merged upstream)

* Sun Jul 07 2013 Mohamed El Morabity <pikachu.2014@gmail.com> - 3.8.0-3
- Add patch to make gnome-tweak-tool look shell themes only in ~/.themes

* Sat May 25 2013 Mohamed El Morabity <pikachu.2014@gmail.com> - 3.8.0-2
- Add patch to allow pref.js for system extensions (thanks to Ralph Bean)

* Mon Apr 08 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.8.0-1
- Update to 3.8.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.7.4-1
- Update to 3.7.4
- Drop remove_lid_close_settings patch, fixed upstream
- Spec cleanup

* Fri Nov  2 2012 Michel Salim <salimma@fedoraproject.org> - 3.6.1-2
- Drop lid close configuration options that are now handled by systemd

* Tue Oct 16 2012 Kalev Lember <kalevlember@gmail.com> - 3.6.1-1
- Update to 3.6.1

* Wed Oct  3 2012 Matthias Clasen <mclasen@redhat.com> - 3.6.0-1
- Update to 3.6.0

* Wed Aug 22 2012 Richard Hughes <hughsient@gmail.com> - 3.5.5-1
- Update to 3.5.5

* Thu Aug  9 2012 Michel Salim <salimma@fedoraproject.org> - 3.5.4-1
- Update to 3.5.4

* Sun Aug  5 2012 Michel Salim <salimma@fedoraproject.org> - 3.5.0-0.1.20120717git3869087
- Update to 3.5.0 snapshot for GNOME 3.5.x compatibility

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun  4 2012 Michel Salim <salimma@fedoraproject.org> - 3.4.0.1-2
- Add R: on user theme extension (# 826129)

* Mon May 14 2012 Richard Hughes <hughsient@gmail.com> - 3.4.0.1-1
- Update to 3.4.0.1

* Mon May 14 2012 Richard Hughes <hughsient@gmail.com> - 3.4.0-1
- Update to 3.4.0

* Sat Jan 21 2012 Michel Salim <salimma@fedoraproject.org> - 3.3.4-1
- Update to 3.3.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 14 2011 Michel Salim <salimma@fedoraproject.org> - 3.2.1-1
- Update to 3.2.1

* Wed Sep 28 2011 Ray <rstrode@redhat.com> - 3.2.0-1
- Update to 3.2.0

* Thu Sep  1 2011 Michel Salim <salimma@fedoraproject.org> - 3.1.90-1
- Update to 3.1.90

* Sun Aug 21 2011 Michel Salim <salimma@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0

* Tue Jul 19 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.5-2
- Depend on nautilus (# 722541)

* Thu Jun 30 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.5-1
- Update to 3.0.5
- upstream news:
  http://ftp.gnome.org/pub/GNOME/sources/gnome-tweak-tool/3.0/gnome-tweak-tool-3.0.5.news
  * autostart fixes
  * appearance improvements
  * focus follow mouse mode
  * finer-grained desktop item visibility
  * streamlined shell restart offer when enabling extensions

* Mon Jun 13 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.4-1
- Update to 3.0.4
- Dropped redundant commented out lines in spec
- Updated description
- Dropped defattr since it is set by default in recent RPM
- http://ftp.gnome.org/pub/GNOME/sources/gnome-tweak-tool/3.0/gnome-tweak-tool-3.0.4.news
  * Enables support for system wide themes
  * Supports management of shell extensions 

* Wed May  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.3-1
- Update to 3.0.3

* Mon Apr  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-2
- Enable icon theme selection

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-1
- Update to 2.91.93

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-3
- Include license information

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-2
- Use %%configure macro
- Validate desktop file

* Mon Mar 21 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-1
- Initial package
